#ifndef __PACSDK_PWM_H
#define __PACSDK_PWM_H



#ifdef __cplusplus
extern "C" {
#endif

#ifdef PACSDK_PWM_EXPORTS
#define PAC_PWM_API __declspec(dllexport)
#else
#define PAC_PWM_API __declspec(dllimport)
#endif

PAC_PWM_API bool pac_SetPWMDuty(HANDLE port,int slot, short chIndex,float duty);
PAC_PWM_API bool pac_GetPWMDuty(HANDLE port,int slot, short chIndex,float *duty);

PAC_PWM_API bool pac_SetPWMFrequency(HANDLE port,int slot,short chIndex,unsigned long  freq);
PAC_PWM_API bool pac_GetPWMFrequency(HANDLE port,int slot,short chIndex,unsigned long *freq);

PAC_PWM_API bool pac_SetPWMMode(HANDLE port, int slot, short chIndex, long mode);
PAC_PWM_API bool pac_GetPWMMode(HANDLE port, int slot, short chIndex, long *mode);
//  Mode: 1 continue mode, 0 pulse count mode

PAC_PWM_API bool pac_SetPWMDITriggerConfig(HANDLE port, int slot, short chIndex, short config);
PAC_PWM_API bool pac_GetPWMDITriggerConfig(HANDLE port, int slot, short chIndex, short *config);

PAC_PWM_API bool pac_SetPWMStart(HANDLE port, int slot, short enStatus);

PAC_PWM_API bool pac_SetPWMSynChannel(HANDLE port, int slot, short chIndex, short enStatus);
PAC_PWM_API bool pac_GetPWMSynChannel(HANDLE port, int slot, short chIndex, short *enStatus);

PAC_PWM_API bool pac_SyncPWMStart(HANDLE port, int slot, short enStatus);

PAC_PWM_API bool pac_SavePWMConfig(HANDLE port, int slot);

PAC_PWM_API bool pac_GetPWMDIOStatus(HANDLE port, int slot, unsigned char pwmBitArr[], unsigned char diBitArr[]);

PAC_PWM_API bool pac_SetPWMPulseCount(HANDLE port,int slot,short chIndex,long cnt);
PAC_PWM_API bool pac_GetPWMPulseCount(HANDLE port,int slot,short chIndex,long *cnt);


#ifdef __cplusplus
}
#endif


//#pragma comment(lib, "PACSDK.lib")
//#pragma warning(disable:4099)     //disable sprintf to sprintf_s warning


#endif //__PACSDK_H    